Summary: A utility for adjusting kernel time variables.
Name: adjtimex
Version: 1.13
Release: 10
Exclusiveos: Linux
License: distributable
Group: System Environment/Base
Source: http://ibiblio.org/pub/Linux/system/admin/time/adjtimex-%{version}.tar.gz
Patch0: adjtimex-1.9-getopt.patch
Patch1: adjtimex-ia64.patch
Patch2: adjtimex-1.11-fixman.patch
Patch3: adjtimex-1.13-gcc33.patch
Patch4: adjtimex-1.13-s390.patch
BuildRoot: %{_tmppath}/%{name}-root

%description
Adjtimex provides raw access to kernel time variables. On standalone
or intermittently connected machines, root can use adjtimex to correct
for systematic drift. If your machine is connected to the Internet or
is equipped with a precision oscillator or radio clock, you should
instead manage the system clock with the xntpd program. Users can use
adjtimex to view kernel time variables.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .fixman
%patch3 -p1 -b .gcc33
%patch4 -p1 -b .s390

%build
%configure
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/sbin
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
install -m755 adjtimex ${RPM_BUILD_ROOT}/sbin/adjtimex
install -m644 adjtimex.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/adjtimex.8

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README
/sbin/adjtimex
%{_mandir}/man8/adjtimex.8*

%changelog
* Mon Jun 16 2003 Than Ngo <than@redhat.com> 1.13-10
- rebuild

* Fri Jun 06 2003 Than Ngo <than@redhat.com> 1.13-9
- fix s390/s390x build

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 22 2003 Than Ngo <than@redhat.com> 1.13-7
- fix build woth gcc 3.3

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 1.13-5
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 18 2002 Than Ngo <than@redhat.com> 1.13-3
- don't forcibly strip binaries

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Harald Hoyer <harald@redhat.de>
- 1.13

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 1.12-2
- rebuild in new enviroment

* Tue Feb 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.12-1
- 1.12

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Mon Jan 29 2001 Preston Brown <pbrown@redhat.com>
- fix man page for '-t' usage on alpha (#9674)

* Mon Nov 20 2000 Bill Nottingham <notting@redhat.com>
- fix ia64 build

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 14 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Fri Mar 03 2000 Cristian Gafton <gafton@redhat.com>
- fix bug #9674

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed

* Fri Jan  7 2000 Jeff Johnson <jbj@redhat.com>
- update to 1.9.

* Wed Jan  5 2000 Jeff Johnson <jbj@redhat.com>
- burn y2k wartlet (#8172)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 09 1997 Erik Troan <ewt@redhat.com>
- builds on all architectures
